Subject: bug#28332: 26.0.50; vc-svn: calling revert-buffer multiple causes scrolling of buffer

From: [email-masked] (Alfred M. Szmidt)
Date: Sun, 03 Sep 2017 15:15:36 -0400

>   emacs -Q
   >   C-x v ~/
   >   C-u C-u C-u C-v
   >   g g g g ...
   > 
   > That will move the buffer one line.  The vc-dired buffer in question
   > has around 300 lines, the window can show 100x26.
   > 
   >    Also how long is "relatively long"?  Is longer than the window shows
   >    good enough, or are there other conditions to be satisfied for tyhis
   >    to show up?
   > 
   > If the buffer is shorter than the screen, then g (revert-buffer)
   > behaves as if previous-line was called.

   Right, I see this as well, thanks.  It is not specific to SVN, though:
   I see the same in a vc-dir buffer showing a Git or Bazaar repository.

Yeah, that was a typo on my side should have been vc-dir.  I started
digging in the code, and ended up in vc-dir-update, but couldn't
really follow the code in there.